/***********************************
	LAYOUT & TYPOGRAPHY
***********************************/

#edp3-header .container {
	max-width: 1340px !important;
}
#edp3-header *:not(.far):not(.fas):not(.fab) {
  font-family: Helvetica,Arial,sans-serif;
}


/***********************************
	HEADER
***********************************/

#edp3-header #header {
  background: #ffffff;
}

#edp3-header #header .region-header {
  overflow: hidden;
}


/***********************************
	SITE BRANDING
***********************************/

#edp3-header #header #block-edp3-branding {
  padding: 16px 10px 14px 10px;
  float: left;
}

#edp3-header #header #block-edp3-branding a {
  text-decoration: none;
  display: inline-block;
  overflow: hidden;
}

#edp3-header #header #block-edp3-branding img {
  height: 45px;
  margin-right: 10px;
}

#edp3-header #header #block-edp3-branding .site-branding__text {
  display: inline-block;
}

#edp3-header #header #block-edp3-branding div a {
  line-height: 45px;
  font-size: 22px;
  color: #0F62AE;
  padding-left: 5px;
  display: inline-block;
  text-transform: uppercase;
  font-weight: 300;
}

#edp3-header #header #block-edp3-branding div a strong {
  font-weight: bold;
}


/***********************************
	SEARCH
***********************************/

#edp3-header #header #block-search {
  float: right;
  margin: 18px 0;
}

#edp3-header #header #block-search input {
  border-radius: 4px 0 0 4px;
}

#edp3-header #header #block-search select {
  border-radius: 0;
  background-color: #D5D6F7;
  color: #202272;
}

#edp3-header #header #block-search select option {
  background-color: #ffffff;
}

// #edp3-header #header #block-search .btn {
//   border-radius: 0 4px 4px 0;
//   font-size: 0;
// }

// #edp3-header #header #block-search .btn:before {
//   content: "\f002";
//   font-size: initial;
//   font-family: "Font Awesome 5 Free";
//   font-weight: 900;
// }

// #edp3-header #header #block-search .btn.btn-primary {
//   background-color: #202272;
//   border-color: #202272;
//   color: #fff;
//   cursor: pointer;
// }

// #edp3-header #header #block-search .btn.btn-primary:hover {
//   background-color: #196fd2;
//   border-color: #196fd2;
//   color: #fff;
//   cursor: pointer;
// }


/***********************************
	LANGUAGE SWITCHER
***********************************/

#edp3-header #header .block-language {
  float: right;
  margin: 18px 15px;
  padding: 0;
}

#edp3-header #header .block-language select {
  max-width: 160px;
  border-radius: 4px;
}

#edp3-header #header .block-language .btn.btn-primary {
  width: 38px;
  background-color: #202272;
  border-color: #202272;
}

#edp3-header #header .block-language .btn.btn-primary:hover {
  background-color: #196fd2;
  border-color: #196fd2;
}


/***********************************
	PRIMARY MENU
***********************************/

// #edp3-header #primary_menu {
//   background-color: #202272;
//   height: 48px;
//   position: sticky;
//   z-index: 99;
// }

#edp3-header #primary_menu.second-level-open {
  margin-bottom: 60px;
}

#edp3-header #primary_menu ul.menu {
  display: flex;
  margin: 0;
  padding: 0;
}

// #edp3-header #primary_menu ul.menu li {
//   list-style-type: none;
//   list-style-image: none;
//   margin: 0;
//   padding: 0;
//   flex: 1 1 auto;
// }

// #edp3-header #primary_menu ul.menu li.menu-item:first-of-type {
//   flex: 0;
// }

#edp3-header.frontpage #primary_menu nav>ul>li:first-of-type .is-active {
  background: #196FD2;
}

// #edp3-header #primary_menu .menu--main>ul.menu>li:first-of-type a {
//   width: 46px !important;
//   padding-right: 0;
//   padding-left: 0;
//   font-size: 0;
//   line-height: 1.9;
// }

#edp3-header #primary_menu .menu--main>ul.menu>li:first-of-type a:before {
  content: "\f015";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  font-size: 14px;
}

// #edp3-header #primary_menu ul.menu li a {
//   color: #dff3ff;
//   display: inline-block;
//   cursor: pointer;
//   padding: 11px 15px;
//   width: auto;
//   text-align: center;
//   display: block;
//   text-decoration: none;
// }

#edp3-header #primary_menu ul.menu li a:hover {
  color: #ffffff;
}

// #edp3-header #primary_menu ul.menu>li.menu-item.menu-item--expanded>a:after,
// #edp3-header #primary_menu ul.menu>li.menu-item.menu-item--expanded>span:after {
//   content: "\f0d7";
//   font-family: "Font Awesome 5 Free";
//   font-weight: 900;
//   margin-left: 10px;
// }

#edp3-header #primary_menu ul.menu li ul {
  display: none;
}


/* RESPONSIVE NAV BUTTON ********************/

#edp3-header .menu--btn {
  display: none;
  height: 40px;
  width: 40px;
  color: #fff;
  line-height: 2;
  font-size: 20px;
  text-align: center;
  border-radius: 4px;
  border: 1px solid #202272;
  margin: 18px 0 0 12px;
  background: #202272;
  float: right;
}

#edp3-header .menu--btn:hover {
  background-color: #196fd2;
}
#edp3-header .menu--btn span.fas {
  font-family: "Font Awesome 5 Free";
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  line-height: 1;
  font-weight: 900;
}
#edp3-header .menu--btn span.fa-bars:before {
  content: "\f0c9";
}
#edp3-header .menu--btn span.fa-times:before {
  content: "\f00d";
}


/***********************************
	SECOND LEVEL MENU
***********************************/

#edp3-header #primary_menu nav>.menu>.menu-item--active-trail.open>a,
#edp3-header #primary_menu nav>.menu>.menu-item--active-trail>ul {
  display: block;
}

#edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu {
  z-index: 9;
  background-color: #289dfa;
  position: absolute;
  left: 0;
  right: 0;
  width: 100%;
  padding: 5px 5px 0 5px;
  min-height: 40px;
  text-align: center;
  margin: 0;
}

#edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail.open,
#edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail.open>ul.menu {
  z-index: 99;
  background-color: #1986dc;
}

#edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail,
#edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu {
  background-color: #196FD2;
}

#edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail.open>ul.menu li,
#edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu li,
.edp-dropdown-item {
  display: inline-block;
}

// #edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu>li.menu-item a {
//   display: inline-block;
//   padding: 5px 15px;
//   margin-bottom: 5px;
//   border: 1px solid #202272 !important;
//   border-radius: 4px;
//   color: #ffffff;
//   background-color: #202272;
//   text-align: center;
//   text-decoration: none;
// }

// #edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu>li.menu-item a:hover,
// #edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu>li.menu-item a.is-active,
// #edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu>li.menu-item.menu-item--active-trail a {
//   border-color: #ffffff !important;
//   color: #ffffff;
//   background-color: transparent !important;
// }

#edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu>li.menu-item:first-of-type>a {
  width: auto !important;
  font-size: initial;
  line-height: inherit;
}

#edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu>li.menu-item:first-of-type>a:before {
  content: "";
}


/***********************************
  RESPONSIVE
***********************************/

@media screen and (max-width: 990px) {
  /* HEADER ********************/
  // #edp3-header #header {
  //   position: sticky;
  //   top: 0;
  //   z-index: 101;
  //   border-bottom: 1px solid #D5D6F7;
  // }
  #edp3-header #header #block-edp3-branding {
    margin-left: 0;
    padding-left: 0;
  }
  #edp3-header #header .block-language {
    border-radius: 4px;
  }
  #edp3-header #header .block-language .form-control {
    height: 40px;
    border-radius: 4px;
    max-width: 160px;
  }
  #edp3-header #header #block-search .input-group-prepend,
  #edp3-header #header #block-search .form-control {
    display: none;
  }
  #edp3-header #header #block-search .btn {
    border-radius: 4px;
  }
  #edp3-header #header #block-search .btn {
    height: 40px;
    border-radius: 4px;
  }
  #edp3-header #header #block-search .btn.search-fixed-top {
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 101;
    border: 1px solid #fff;
  }
  /* RESPONSIVE NAV BUTTON ********************/
  #edp3-header .menu--btn {
    display: block;
  }
  /* NAV ********************/
  #edp3-header #primary_menu {
    overflow: hidden;
    height: auto;
  }
  #edp3-header #primary_menu {
    margin-bottom: 0;
    top: 81px !important;
  }
  #edp3-header #primary_menu.second-level-open {
    margin-bottom: 0;
  }
  #edp3-header #primary_menu>.container {
    padding-left: 0;
    padding-right: 0;
  }
  // #edp3-header #primary_menu .menu--main>ul.menu {
  //   display: none;
  //   overflow: hidden;
  //   height: calc(100vh - 81px);
  //   overflow-y: scroll;
  //   padding-left: 15px;
  //   padding-right: 15px;
  //   padding-bottom: 50px;
  // }
  #edp3-header #primary_menu ul.menu li {
    flex: none;
  }
  #edp3-header #primary_menu ul.menu li a {
    text-align: left;
    padding-left: 15px;
  }
  #edp3-header #primary_menu ul.menu li ul {
    display: block;
    overflow: hidden;
  }
  #edp3-header #primary_menu .menu--main>ul.menu>.menu-item:first-child {
    padding-bottom: 0 !important;
  }
  #edp3-header #primary_menu .menu--main>ul.menu>.menu-item:first-child a {
    border-top: 0;
    width: auto !important;
    background: transparent !important;
  }
  #edp3-header #primary_menu .menu--main>ul.menu>.menu-item:first-child a:before {
    margin-right: 5px;
  }
  #edp3-header #primary_menu .menu--main>ul.menu>.menu-item {
    padding-bottom: 10px !important;
  }
  #edp3-header #primary_menu .menu--main>ul.menu>.menu-item>a {
    border-top: 1px solid #196fd2;
    font-weight: bold;
    padding-left: 0;
    margin: 0;
    font-size: 1rem !important;
  }
  #edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail,
  #edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu {
    padding-left: 15px;
    padding-right: 15px;
    margin: 0;
  }
  #edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu {
    position: relative;
    display: block;
  }
  #edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail.open>ul.menu li,
  #edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu li {
    display: block;
    width: auto;
  }
  #edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail>ul.menu>li.menu-item a {
    display: block;
    text-align: left;
    background: transparent;
    border-color: transparent !important;
    margin: 0;
    padding: 10px 14px;
    color: #dff3ff;
  }
  #edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail.open,
  #edp3-header #primary_menu nav>ul.menu>li.menu-item--active-trail.open>ul.menu {
    padding: 0;
    background-color: transparent;
  }
}
@media screen and (max-width: 715px) {
  /* HEADER ********************/
  #edp3-header #header {
    height: 73px;
  }
  #edp3-header #header>.container {
    padding-left: 10px;
    padding-right: 10px;
  }
  #edp3-header #header #block-edp3-branding {
    padding-left: 5px;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 73px;
  }
  #edp3-header #header #block-edp3-branding img {
    height: 36px;
    margin-right: 7px;
  }
  #edp3-header #header #block-edp3-branding .site-branding__text a {
    font-size: 18px;
    width: 150px;
    line-height: 1;
    padding-left: 0;
  }
  #edp3-header #header #block-edp3-branding .site-branding__text a strong {
    display: inline-block;
  }
  #edp3-header #header #block-edp3-branding .site-branding__name {
    display: flex;
  }
  #edp3-header #header .block-language {
    margin-left: 0;
    margin-right: 5px;
    margin-top: 15px;
    margin-bottom: 15px;
    position: sticky;
    z-index: 99;
    top: 0;
  }
  #edp3-header #header .block-language .form-control {
    font-size: 14px;
    height: 40px;
  }
  #edp3-header #header #block-search {
    margin-top: 15px;
    margin-bottom: 15px;
  }
  /* RESPONSIVE NAV BUTTON ********************/
  #edp3-header .menu--btn {
    margin-top: 15px;
    margin-left: 5px;
  }
  /* NAV ********************/
  #edp3-header #primary_menu {
    top: 72px !important;
  }
  #edp3-header #primary_menu .menu--main>ul.menu {
    height: calc(100vh - 72px);
    padding-left: 15px;
  }
}
@media screen and (max-width: 500px) {
  /* HEADER ********************/
  #edp3-header #header>.container {
    padding-left: 5px;
    padding-right: 5px;
  }
  #edp3-header #header #block-edp3-branding {
    padding-top: 10px;
  }
  #edp3-header #header #block-edp3-branding .site-branding__text a {
    font-size: 17px;
    width: 142px;
  }
  #edp3-header #header .block-language .form-control {
    text-transform: uppercase;
    width: 58px;
    padding: 3px;
  }
  /* NAV ********************/
  #edp3-header #primary_menu .menu--main>ul.menu {
    padding-left: 10px;
    padding-right: 10px;
  }
}
@media screen and (max-width: 375px) {
  /* HEADER ********************/
  #edp3-header #header #block-edp3-branding .site-branding__text a {
    font-size: 15px;
    width: 100px;
  }
}
@media screen and (max-width: 330px) {
  /* HEADER ********************/
  #edp3-header #header #block-edp3-branding {
    padding-left: 0;
    padding-right: 3px;
  }
  #edp3-header #header #block-edp3-branding img {
    margin-right: 5px;
  }
  #edp3-header #header #block-edp3-branding .site-branding__text a {
    width: 100px;
  }
}